### Property

# Camel MessageInfo:user-tags

since: 3.24

#### Declaration

    property user-tags: Camel.NameValueArray [ read, write ]

#### Description [src]

User tags for the associated message. Can be `NULL`. Unlike user-flags, which can be set or not, the user-tags can contain various values.

Type:`CamelNameValueArray`

Available since: 3.24

Getter method | `camel_message_info_get_user_tags()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no